## dpm-postgres 1.7.4.7

=== debian/changelog ===
dpm-postgres (1.7.4.7-1) unstable; urgency=low

  * Update to version 1.7.4.7
  * Dropped patches lcgdm-typo.patch and lcgdm-man.patch (fixed upstream)
  * Fix bashisms (Closes: #581087, #581088, #581089, #581090, #581093, #581097)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 06 Jun 2010 14:30:32 +0200

dpm-postgres (1.7.4.4-1) unstable; urgency=low

  * Update to version 1.7.4.4
  * Dropped patches lcgdm-installpermissions.patch, lcgdm-rules.patch,
    lcgdm-initscripts.patch and lcgdm-posinc.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 18 Apr 2010 13:38:13 +0200

dpm-postgres (1.7.4.1-3) unstable; urgency=low

  * Correct install script typos (fixes piuparts errors)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 18:40:02 +0100

dpm-postgres (1.7.4.1-2) unstable; urgency=low

  * More porting fixes for GNU/Hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 06 Jan 2010 00:18:31 +0100

dpm-postgres (1.7.4.1-1) unstable; urgency=low

  * Update to version 1.7.4.1
  * More porting fixes for GNU/Hurd and kfreebsd
  * Dropped patch lcgdm-missing-swig-includes.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 05 Jan 2010 08:53:20 +0100

dpm-postgres (1.7.3.1-5) unstable; urgency=low

  * Fix porting issues for GNU/Hurd and kfreebsd
  * Extend package descriptions

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 27 Dec 2009 14:59:19 +0100

dpm-postgres (1.7.3.1-4) unstable; urgency=low

  * Add missing include statements in swig interface files
  * Use Debian's imake instead of bundled version

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 07 Dec 2009 14:38:11 +0100

dpm-postgres (1.7.3.1-3) unstable; urgency=low

  * Don't use /bin/false as shell - doesn't work with su
  * Fix bad directory used for dlopening plugins

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Nov 2009 17:27:52 +0100

dpm-postgres (1.7.3.1-2) unstable; urgency=low

  * Update copyright file (Closes: #552335)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 18 Nov 2009 15:07:04 +0100

dpm-postgres (1.7.3.1-1) UNRELEASED; urgency=low

  * Initial release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 Sep 2009 05:18:22 +0200
