=== debian/control ===
Source: dpm-postgres
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libpq-dev, uuid-dev, liblcgdm-dev, libdpm-dev, xutils-dev
Standards-Version: 3.8.4
Section: net
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dpm-postgres
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/dpm-postgres
Homepage: http://glite.web.cern.ch/glite/

Package: dpm-postgres
Architecture: any
Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses postgres as its database
 backend.

Package: dpm-postgres-nameserver
Architecture: any
Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
Description: DPM nameserver server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses postgres as its
 database backend.

Package: dpm-postgres-copyd
Architecture: any
Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
Description: DPM copy server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses postgres as its
 database backend.

Package: dpm-postgres-srmv1
Architecture: any
Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 1 server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 1 server that uses postgres
 as its database backend.

Package: dpm-postgres-srmv2
Architecture: any
Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 2 server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 2 server that uses postgres
 as its database backend.

Package: dpm-postgres-srmv22
Architecture: any
Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
Description: DPM SRM version 2.2 server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM version 2.2 server that uses postgres
 as its database backend.
