=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/quilt/quilt.make

INSTALLDIR = $(CURDIR)/debian/tmp

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_includedir = $(_prefix)/include
_sysconfdir = /etc
_localstatedir = /var
_initrddir = $(_sysconfdir)/init.d
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

VERSION=1.7.4.7

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

configure: configure-stamp
	:

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	for f in config/site.def config/linux.cf \
		 config/Library.tmpl config/Project.tmpl ; do \
	    [ ! -e $$f.save ] && cp -p $$f $$f.save || : ; \
	done

	sed 's!@@LIBDIR@@!$(_libdir)!' -i security/Csec_api_loader.c

	# The code violates the strict aliasing rules all over the place...
	# Need to use -fnostrict-aliasing so that the -O2 optimization in
	# CFLAGS doesn't try to use them.
	sed 's/^CC +=/& $(CFLAGS) -fno-strict-aliasing -Wl,-z,defs/' \
	    -i config/linux.cf

	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
	./configure dpm --with-postgres \
		--libdir=lib \
		--with-gsoap-location=$(_prefix) \
		--with-gsoap-version=$$gsoapversion \
		--with-voms-location=$(_prefix) \
		--with-dpm-config-file=$(_sysconfdir)/DPMCONFIG \
		--with-id-map-file=$(_sysconfdir)/lcgdm-mapfile \
		--with-ns-config-file=$(_sysconfdir)/DPNSCONFIG \
		--with-sysconf-dir='$$(prefix)/../etc'

	sed -e 's/\(BuildDPMClient	*\)YES/\1NO/' \
	    -e 's/\(BuildInterfaces	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerClient	*\)YES/\1NO/' \
	    -e 's/\(BuildNameServerLibrary	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioClient	*\)YES/\1NO/' \
	    -e 's/\(BuildRfioServer	*\)YES/\1NO/' -i config/site.def

	sed '/^\#define.*YES/d' -i config/Project.tmpl config/Library.tmpl
	sed '/^SECURITYDIR =/d' -i config/Project.tmpl

	make -f Makefile.ini Makefiles

	cd shlib && ln -s /usr/lib/liblcgdm.so* .
	cd shlib && ln -s /usr/lib/libdpm.so* .

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	$(MAKE) prefix=$(_prefix) POSINC=-I/usr/include/postgresql

	touch $@

unpatch: cleanup

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	if [ -r Makefile ] ; then $(MAKE) clobber ; fi

	for f in config/site.def config/linux.cf \
		 config/Library.tmpl config/Project.tmpl ; do \
	    [ -e $$f.save ] && mv $$f.save $$f || : ; \
	done

	sed 's!$(_libdir)!@@LIBDIR@@!' -i security/Csec_api_loader.c

	rm -f imake/imake imake/imake.o imake/ccimake

	find . '(' -name Makefile -a '!' -path */scripts/* ')' -exec rm {} ';'

	rm -f config.status

	rm -f dpmcopy/dpm_libpq_ifce.c
	rm -f dpmcopy/dpm_copyfile.c

	rm -f h/patchlevel.h
	rm -f NSCONFIG

	rm -f shlib/liblcgdm.so* shlib/libdpm.so*

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install
	$(MAKE) prefix=$(INSTALLDIR)$(_prefix) install.man

	mv $(INSTALLDIR)$(_datadir)/DPM $(INSTALLDIR)$(_datadir)/dpm

	mkdir -p $(INSTALLDIR)$(_libdir)/dpm-postgres
	mkdir -p $(INSTALLDIR)$(_sysconfdir)/dpm-postgres

	# dpm startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpm > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.init
	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpm

	# dpm configuration file
	sed -e 's!/opt/lcg!!g' \
	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
	    -e 's/\(^RUN_DPMDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/dpm.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.conf
	rm $(INSTALLDIR)$(_sysconfdir)/dpm.conf.templ

	# dpm log directory and log rotation configuration
	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/dpm
	install -m 644 dpm/dpm.logrotate \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpm.logrotate

	# dpm binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpm \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/dpm
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    -e 's/dpm-shutdown(1)/dpm-shutdown(8)/g' \
	    $(INSTALLDIR)$(_mandir)/man1/dpm.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-postgres/dpm.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpm.1

	mv $(INSTALLDIR)$(_sysconfdir)/DPMCONFIG.templ \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/DPMCONFIG.templ

	# dpm-shutdown binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpm-shutdown \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/dpm-shutdown
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    $(INSTALLDIR)$(_mandir)/man1/dpm-shutdown.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-postgres/dpm-shutdown.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpm-shutdown.1

	# dpnsdaemon startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpnsdaemon.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpnsdaemon.init
	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpnsdaemon

	# dpnsdaemon configuration file
	sed -e 's!/opt/lcg!!g' \
	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
	    -e 's/\(^RUN_DPNSDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/dpnsdaemon.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpnsdaemon.conf
	rm $(INSTALLDIR)$(_sysconfdir)/dpnsdaemon.conf.templ

	# dpnsdaemon log directory and log rotation configuration
	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/dpns
	install -m 644 ns/dpnsdaemon.logrotate \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpnsdaemon.logrotate

	# dpnsdaemon binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpnsdaemon \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/dpnsdaemon
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    -e 's!/opt/lcg!!g' \
	    -e 's!/etc/NSCONFIG!/etc/DPNSCONFIG!g' \
	    -e 's/dpns-shutdown(1)/dpns-shutdown(8)/g' \
	    $(INSTALLDIR)$(_mandir)/man1/dpnsdaemon.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-postgres/dpnsdaemon.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpnsdaemon.1

	mv $(INSTALLDIR)$(_sysconfdir)/NSCONFIG.templ \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/DPNSCONFIG.templ

	# dpns-shutdown binary and man page
	mv $(INSTALLDIR)$(_bindir)/dpns-shutdown \
	   $(INSTALLDIR)$(_libdir)/dpm-postgres/dpns-shutdown
	sed -e 's/\(\.TH [^ ]* \)1/\18/' \
	    $(INSTALLDIR)$(_mandir)/man1/dpns-shutdown.1 | gzip -9 -n -c > \
	    $(INSTALLDIR)$(_libdir)/dpm-postgres/dpns-shutdown.8.gz
	rm $(INSTALLDIR)$(_mandir)/man1/dpns-shutdown.1

	# dpmcopyd startup script
	sed -e 's/LD_LIBRARY_PATH=$$LD_LIBRARY_PATH //' \
	    -e '/LD_LIBRARY_PATH/d' \
	    -e 's!/opt/lcg/bin!/usr/sbin!g' -e 's!/opt/lcg!!g' \
	    $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpmcopyd.init
	chmod 755 $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpmcopyd.init
	rm $(INSTALLDIR)$(_datadir)/dpm/rc.dpmcopyd

	# dpmcopyd configuration file
	sed -e 's!/opt/lcg!!g' \
	    -e 's/\(^DPNS_HOST=\).*/\1`hostname -f`/' \
	    -e 's/\(^DPM_HOST=\).*/\1`hostname -f`/' \
	    -e 's/\(^RUN_DPMCOPYDAEMON=\).*/\1"no"/' \
	    $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ > \
	    $(INSTALLDIR)$(_sysconfdir)/dpm-postgres/dpmcopyd.conf
	rm $(INSTALLDIR)$(_sysconfdir)/dpmcopyd.conf.templ

	# dpmcopyd log directory and log rotation configuration
	mkdir -p $(INSTALLDIR)$(_localstatedir)/log/dpmcopy
