## dpm-postgres 1.8.0.1

=== debian/changelog ===
dpm-postgres (1.8.0.1-1) unstable; urgency=low

  * Update to version 1.8.0.1
  * Dropped patch lcgdm-bashisms patch (fixed upstream)
  * Add database schema migration to maintainer scripts
  * Fix broken condrestart action in startup scripts
  * Fix race condition in Makefile

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 16 May 2011 06:47:45 +0200
