=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: dpm-postgres
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libpq-dev, uuid-dev, liblcgdm-dev, libdpm-dev, xutils-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.0), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libpq-dev, uuid-dev, liblcgdm-dev (>= 1.8.0.1), libdpm-dev (>= 1.8.0.1), xutils-dev
+Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/dpm-postgres
@@ -11,7 +11,7 @@
 
 Package: dpm-postgres
 Architecture: any
-Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
+Depends: adduser, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: Disk Pool Manager (DPM) server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -21,7 +21,7 @@
 
 Package: dpm-postgres-nameserver
 Architecture: any
-Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
 Description: DPM nameserver server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -31,7 +31,7 @@
 
 Package: dpm-postgres-copyd
 Architecture: any
-Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM copy server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -41,7 +41,7 @@
 
 Package: dpm-postgres-srmv1
 Architecture: any
-Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 1 server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -51,7 +51,7 @@
 
 Package: dpm-postgres-srmv2
 Architecture: any
-Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 2 server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -61,7 +61,7 @@
 
 Package: dpm-postgres-srmv22
 Architecture: any
-Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}
+Depends: dpm-postgres, ${shlibs:Depends}, ${misc:Depends}, finger
 Description: DPM SRM version 2.2 server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
