## dpm-postgres 1.8.1.2

=== debian/changelog ===
dpm-postgres (1.8.1.2-1) unstable; urgency=low

  * Update to version 1.8.1.2
  * Drop patches lcgdm-withsoname.patch and lcgdm-gsoap.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Sep 2011 19:21:09 +0200
