=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpm-postgres
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.0), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev, gsoap, libpq-dev, uuid-dev, liblcgdm-dev (>= 1.8.0.1), libdpm-dev (>= 1.8.0.1), xutils-dev
+Build-Depends: debhelper (>= 5), quilt, libcgsi-gsoap-dev (>= 1.3.4.2), libglobus-gass-copy-dev, libglobus-ftp-client-dev, voms-dev (>= 2), gsoap, libpq-dev, uuid-dev, liblcgdm-dev (>= 1.8.1.2), libdpm-dev (>= 1.8.1.2), xutils-dev
 Standards-Version: 3.9.2
 Section: net
 DM-Upload-Allowed: yes
